from enum import Enum

from pydantic import BaseModel


class ThermalMode(str, Enum):
    cooling = 'cooling'
    heating = 'heating'
    hold = 'hold'


class DevicesInstructionsBaseResponse(BaseModel):
    projectId: str
    equipId: str


class ACATAHThermalModeSetResponse(DevicesInstructionsBaseResponse):
    thermalModeSet: ThermalMode


class ACATAHSupplyAirTemperatureSetResponse(DevicesInstructionsBaseResponse):
    supplyAirTemperatureSet: float
